<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  FileDownloadクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    Pocket
 */
class Pocket_FileDownload
{
    /** @var    string  _file_name          ファイル名称 */
    var $_file_name;

    /** @var    integer _file_size          ファイルサイズ */
    var $_file_size;

    /** @var    string  _file_type          ファイル種別 */
    var $_file_type;

    /** @var    binary  _file               ファイルイメージ */
    var $_file;

    /**
     *  コンストラクタ
     *
     *  @access public
     *  @param  string  $file_name          ファイル名称
     *  @param  integer $file_size          ファイルサイズ
     *  @param  string  $file_type          ファイル種別
     *  @param  binary  $file               ファイルイメージ
     */
    function Pocket_FileDownload($file_name, $file_size, $file_type, $file)
    {
        // ファイル名称の設定
        $this->_file_name = $file_name;
        // ファイルサイズの設定
        $this->_file_size = $file_size;
        // ファイル種別の設定
        $this->_file_type = $this->_getFileType($file_type);
        // ファイルイメージの設定
        $this->_file = $file;
    }

    /**
     *  ファイル種別の取得
     *
     *  @access public
     *  @param  string  $type               ファイル種別
     */
    function _getFileType($type)
    {
        return $type;
    }

    /**
     *  ファイルの出力
     *
     *  @access public
     */
    function putFile()
    {
        $ua = $_SERVER['HTTP_USER_AGENT'];

        // ブラウザの判定
        if (strstr($ua, 'MSIE') && !strstr($ua, 'Opera'))
        {
            // IE
            $file_name = rawurlencode($this->_file_name);
        }
        else
        {
            // IE以外
            $file_name = $this->_file_name;
        }

        // ヘッダーの出力
        header('Content-Disposition: attachment; filename=' . $file_name);
        header('Content-Length: ' . $this->_file_size);
        header('Content-Transfer-Encoding: binary');
        header('Content-type: ' . $this->_file_type);

        // ファイルイメージの出力
        print($this->_file);
    }
}

?>
