<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  記事画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.mobile.view
 */
class postAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year    = $request['year'];
        $month   = $request['month'];
        $post_id = $request['post_id'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // 記事情報の取得、設定
        $post = db_get_post_info($post_id);
        $this->assign('post', $post);

        // 記事情報の存在チェック
        if (!$post)
            pocket_redirect('default.view');

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', $post['subject']);

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
