<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  検索結果投稿一覧画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.mobile.view
 */
class searchResultListAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year    = $request['year'];
        $month   = $request['month'];
        $keyword = $request['keyword'];
        $page    = $request['page'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // キーワードの取得、設定
        $keyword = str_replace(" ", "　", $keyword);
        $this->assign('keyword', $keyword);

        // ページ番号の取得
        $page = (empty($page)) ? 1 : $page;

        // キーワード検索の投稿情報の設定
        $this->assign('entries', db_get_posts4keyword($keyword, $page, PAGE_SIZE));
        // キーワード検索の投稿件数の取得
        $hit_count = db_get_posts_count4keyword($keyword);

        // ページング情報の設定
        $this->assignPagingInfo($page, PAGE_SIZE, $hit_count);

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '検索結果一覧');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        return POCKET_ACTION_SUCCESS;
    }
}

?>
