<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  カテゴリ情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class configCategoryUpdateAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $category_id   = $request['category_id'];
        $category_name = $request['category_name'];
        $outline       = $request['outline'];
        $sort_order    = $request['sort_order'];

        // カテゴリの更新
        db_update_category($category_id, $category_name, $outline, $sort_order);

        // メッセージの作成
        $params = array('msg' => 'カテゴリを更新しました。');

        // リダイレクト
        pocket_redirect('configCategory.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $category_id   = $request['category_id'];
        $category_name = $request['category_name'];
        $outline       = $request['outline'];
        $sort_order    = $request['sort_order'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'configCategory';

        // 検証
        $validator->validate('category_id'  , 'ID'          , $category_id  , 'number', true);
        $validator->validate('category_name', 'カテゴリ名称', $category_name, 'string', true);
        $validator->validate('outline'      , '概要'        , $outline      , 'string', true);
        $validator->validate('sort_order'   , '表示順'      , $sort_order   , 'number', true);
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
