<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  画像ファイル情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class configImageUpdateAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $image_id = $request['image_id'];
        $title    = $request['title'];

        // 画像ファイルの更新
        db_update_image($image_id, $title);

        // メッセージの作成
        $params = array('msg' => '画像ファイルを更新しました。');

        // リダイレクト
        pocket_redirect('configImage.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $image_id = $request['image_id'];
        $title    = $request['title'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'configImageEdit';

        // 検証
        $validator->validate('image_id', 'ID'      , $image_id, 'number', true);
        $validator->validate('title'   , 'タイトル', $title   , 'string', true);
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
