<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  プロフィール情報更新用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.do
 */
class configProfileUpdateAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $user_id     = $request['user_id'];
        $nickname    = $request['nickname'];
        $birth_year  = $request['birth_year'];
        $birth_month = $request['birth_month'];
        $birth_day   = $request['birth_day'];
        $sex         = $request['sex'];
        $blood_type  = $request['blood_type'];
        $self_intro  = $request['self_intro'];

        // プロフィールの更新
        db_update_userProfile($user_id, $nickname, $birth_year, $birth_month, $birth_day, $sex, $blood_type, $self_intro);

        // メッセージの作成
        $params = array('msg' => 'プロフィールを更新しました。');

        // リダイレクト
        pocket_redirect('configProfile.view', $params);
    }

    /**
     *  リクエスト検証
     *
     *  @access public
     *  @param  object  $validator          バリデータ
     *  @param  object  $request            リクエスト情報
     */
    function validate(&$validator, &$request)
    {
        // リクエスト情報の取得
        $user_id     = $request['user_id'];
        $nickname    = $request['nickname'];
        $birth_year  = $request['birth_year'];
        $birth_month = $request['birth_month'];
        $birth_day   = $request['birth_day'];
        $sex         = $request['sex'];
        $blood_type  = $request['blood_type'];
        $self_intro  = $request['self_intro'];

        // エラー表示用のAction名称の設定
        $this->viewAction = 'configProfile';

        // 検証
        $validator->validate('user_id'    , 'ID'          , $user_id    , 'number', true);
        $validator->validate('nickname'   , 'ニックネーム', $nickname   , 'string', true);
        $validator->validate('birth_year' , '生まれた年'  , $birth_year , 'number', true, 0, 9999);
        $validator->validate('birth_month', '誕生日（月）', $birth_month, 'number', true, 1, 12);
        $validator->validate('birth_day'  , '誕生日（日）', $birth_day  , 'number', true, 1, 31);
        $validator->validate('sex'        , '性別'        , $sex        , 'number');
        $validator->validate('blood_type' , '血液型'      , $blood_type , 'number');
        $validator->validate('self_intro' , '自己紹介'    , $self_intro , 'string');

        // 誕生日の正当性チェック
        if (!checkdate($birth_month, $birth_day, $birth_year))
        {
            $validator->addErrors('birth_year', '誕生日が不正です。');
        }
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
