<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  記事投稿画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBlog.pc.view
 */
class postEntryAction extends Pocket_Blog_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        // リクエスト情報の取得
        $year  = $request['year'];
        $month = $request['month'];

        // 年月情報をSESSION変数に設定
        $this->setYearMonthInfo2Session($year, $month);

        /**
         *  メイン情報の取得、設定
         */
        // カテゴリ情報の設定
        $this->assign('category_list', db_get_categories4category_list());

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('subject', $request['subject']);
            $this->assign('category_id', $request['category_id']);
            $this->assign('is_open', $request['is_open']);
            $this->assign('body', $request['body']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトルの設定
        $this->assign('page_title', '記事の投稿');

        // 年月情報
        $this->assignYearMonthInfo($year, $month);

        // サイドメニュー情報の設定
        $this->assignSideMenuInfo();

        return POCKET_ACTION_SUCCESS;
    }

    /**
     *  認証アクションフラグ
     *
     *  @access public
     *  @return boolean true,false
     */
    function isSecure()
    {
        return true;
    }
}

?>
